### Signal

# Pos InputMethod::pending-changed

since: 0

#### Declaration

    void
    pending_changed (
      PosInputMethod* self,
      gpointer pending_state,
      gpointer user_data
    )

#### Description [src]

The pending state changed. Tracking pending state changes is only useful for debugging as only `applied` state matters for the OSK.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0

#### Parameters

`pending_state`

  Type: `gpointer`

  The new pending state.

  The argument can be `NULL`.
  The data is owned by the caller of the function.